Gtk2::FontSelection(3)

NAME
Gtk2::FontSelection

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::VBox
                                +----Gtk2::FontSelection

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gtk2::FontSelection->new

  font = $fontsel->get_font

  string = $fontsel->get_font_name

  boolean = $fontsel->set_font_name ($fontname)

    * $fontname (string)

  string = $fontsel->get_preview_text

  $fontsel->set_preview_text ($text)
    * $text (string)

PROPERTIES

'font' (Gtk2::Gdk::Font : readable / private)
    The GdkFont that is currently selected

'font-name' (string : readable / writable / private)
    The X string that represents this font

'preview-text' (string : readable / writable / private)
    The text to display in order to demonstrate the selected font

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Box, Gtk2::VBox

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.